- [x] Run tango system (db , tangotest, mysql) as microservices in the cluster : use the SKA helm files as template for this
- [x] Run tango client (e.g. taurusform) on a separate pod and use the novnc pod just as a desktop provider, but not as a tango client provider
- [ ] Run Taurus Gui as microservice in the cluster
- [ ] Run Sardana server as microservice in the cluster
- [ ] Create a Helm chart for all the above
- [ ] Find out how to launch a desktop microservice on demand
- [ ] Expose tango services to to external clients

- [ ] create docker image based on taurus-docker:bullseye with taurus installed and `CMD=taurus gui example01`
- [ ] create pod taurusgui-example01 with DISPLAY=tango-vnc-service20.0 and remove taurustest pod
- [ ] create pod desktop
    - [ ] create image to replace tango-vnc
        - [ ] modify CMD to listen on TCP socker and disable access control
        - [ ] base on debian:bullseye
        - [ ] install python 
        - [ ] install kubernetes from PyPI
        - [ ] add script to launch taurusgui-example01 with kubernetes python API
    - [ ] configure service account: applauncher-sa